# class RSS::Maker::RSS09::Items::Item

### Public Instance Methods

to_feed(rss) click to toggle source

    # File lib/rss/maker/0.9.rb, line 259
    def to_feed(rss)
      item = Rss::Channel::Item.new
      setup_values(item)
      _not_set_required_variables = not_set_required_variables
      if _not_set_required_variables.empty?
        rss.items << item
        set_parent(item, rss.channel)
        setup_other_elements(rss, item)
      elsif variable_is_set?
        raise NotSetError.new("maker.items", _not_set_required_variables)
      end
    end

### Private Instance Methods

not_set_required_variables() click to toggle source
Calls superclass method

    # File lib/rss/maker/0.9.rb, line 277
    def not_set_required_variables
      vars = super
      if @maker.feed_version == "0.91"
        vars << "title" unless title {|t| t.have_required_values?}
        vars << "link" unless link {|l| l.have_required_values?}
      end
      vars
    end

required_variable_names() click to toggle source

    # File lib/rss/maker/0.9.rb, line 273
    def required_variable_names
      []
    end